package cn.estsh.i3plus.core.api.controller;

import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient("/cloud")
public interface DemoCloudInterface {

    @GetMapping(value="/test")
    @ApiOperation(value="测试",notes = "测试")
    ResultBean simpleTest(String test);
}
